REPO(1)

NAME
repo - repository management tool built on top of git

SYNOPSIS
repo [-p|--paginate|--no-pager] COMMAND [ARGS]

OPTIONS

-h, --help
    show this help message and exit

--help-all
    show this help message with all subcommands and exit

-p, --paginate
    display command output in the pager

--no-pager
    disable the pager

--color=COLOR
    control color usage: auto, always, never

--trace
    trace git command execution (REPO_TRACE=1)

--trace-to-stderr
    trace outputs go to stderr in addition to .repo/TRACE_FILE

--trace-python
    trace python command execution

--time
    time repo command execution

--version
    display this version of repo

--show-toplevel
    display the path of the top-level directory of the repo client checkout

--event-log=EVENT_LOG
    filename of event log to append timeline to

--git-trace2-event-log=GIT_TRACE2_EVENT_LOG
    directory to write git trace2 event log to

--submanifest-path=REL_PATH
    submanifest path

  The complete list of recognized repo commands is:

abandon
    Permanently abandon a development branch

branch
    View current topic branches

branches
    View current topic branches

checkout
    Checkout a branch for development

cherry-pick
    Cherry-pick a change.

diff
    Show changes between commit and working tree

diffmanifests
    Manifest diff utility

download
    Download and checkout a change

forall
    Run a shell command in each project

gc  Cleaning up internal repo and Git state.

grep
    Print lines matching a pattern

help
    Display detailed help on a command

info
    Get info on the manifest branch, current branch or unmerged branches

init
    Initialize a repo client checkout in the current directory

list
    List projects and their associated directories

manifest
    Manifest inspection utility

overview
    Display overview of unmerged project branches

prune
    Prune (delete) already merged topics

rebase
    Rebase local branches on upstream branch

selfupdate
    Update repo to the latest version

smartsync
    Update working tree to the latest known good revision

stage
    Stage file(s) for commit

start
    Start a new branch for development

status
    Show the working tree status

sync
    Update working tree to the latest revision

upload
    Upload changes for code review

version
    Display the version of repo

wipe
    Wipe projects from the worktree

See 'repo help <command>' for more information on a specific command. Bug reports: https://issues.gerritcodereview.com/issues/new?component=1370071